Skip to main content
GET
/
relationships
List relationships
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/relationships \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/relationships"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "relationships": [
    {
      "additional_data": {
        "percent_ownership": 35.75
      },
      "from_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "relationship_type": "BENEFICIAL_OWNER_OF",
      "to_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "creation_time": "2010-05-06T12:23:34.321Z",
      "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "last_updated_time": "2010-05-06T12:23:34.321Z",
      "metadata": {},
      "tenant": "abcdef_ghijkl"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

to_business_id
string<uuid>[]

Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

from_person_id
string<uuid>[]

Unique identifier for the person. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

relationship_type
enum<string>[]

The relationship type, any of the following. All direct businesses customers need at least one beneficial owner or controlling person.

  • BENEFICIAL_OWNER_OF – a person who directly or indirectly owns a portion of the business.
  • MANAGING_PERSON_OF – a person who is an officer, director, or controlling person of an organization.
  • OWNER_OF – a business with ownership of another business.
Available options:
BENEFICIAL_OWNER_OF,
MANAGING_PERSON_OF,
OWNER_OF,
PAYER_PAYEE
from_business_id
string<uuid>[]

Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

id
string<uuid>[]

Unique resource identifier

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

Relationship representation.

relationships
(Business Owner · object | Managing Person · object | Beneficial Owner · object | Payer/Payee · object)[]
required

Array of business/person relationships.

Denotes the relationship between specified businesses.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"